Opportunity workflows API
13 endpoints. All requests need an Authorization header — see Authentication. API keys additionally need the matching scope.
| Method | Path | Description |
|---|---|---|
GET |
/api/opp-workflows/opps/{opp_id}/workflows |
Get Opp Workflows |
POST |
/api/opp-workflows/opps/{opp_id}/workflows |
Trigger Workflow Creation |
PATCH |
/api/opp-workflows/opps/{opp_id}/workflows/steps/{step_id} |
Update Workflow Step Accepts a JSON body. |
DELETE |
/api/opp-workflows/opps/{opp_id}/workflows/steps/{step_id} |
Delete Workflow Step |
POST |
/api/opp-workflows/opps/{opp_id}/workflows/{group_id}/steps |
Add Adhoc Step Accepts a JSON body. |
GET |
/api/opp-workflows/templates |
List Group Templates |
POST |
/api/opp-workflows/templates |
Create Group Template Accepts a JSON body. |
PATCH |
/api/opp-workflows/templates/{template_id} |
Update Group Template Accepts a JSON body. |
DELETE |
/api/opp-workflows/templates/{template_id} |
Deactivate Group Template |
GET |
/api/opp-workflows/templates/{template_id}/steps |
List Step Templates |
POST |
/api/opp-workflows/templates/{template_id}/steps |
Create Step Template Accepts a JSON body. |
PATCH |
/api/opp-workflows/templates/{template_id}/steps/{step_id} |
Update Step Template Accepts a JSON body. |
DELETE |
/api/opp-workflows/templates/{template_id}/steps/{step_id} |
Deactivate Step Template |
Try it
The full request/response schema for every endpoint is in the OpenAPI spec served by your own workspace.